Vulnerability Name:

CVE-2017-3256

Assigned:2016-12-06
Published:2017-01-17
Updated:2017-12-07
Summary:Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Replication). Supported versions that are affected are 5.7.16 and earlier. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. CVSS v3.0 Base Score 6.5 (Availability impacts).
CVSS v3 Severity:6.5 Medium (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H)
5.7 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
6.5 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H)
5.7 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
CVSS v2 Severity:4.0 Medium (CVSS v2 Vector: AV:N/AC:L/Au:S/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
4.0 Medium (CCN CVSS v2 Vector: AV:N/AC:L/Au:S/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
Vulnerability Type:CWE-20
References:Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.oracle.com/technetwork/security-advisory/cpujan2017-2881727.html

Source: BID
Type: VENDOR_ADVISORY
95486

Source: SECTRACK
Type: UNKNOWN
1037640

Source: REDHAT
Type: UNKNOWN
RHSA-2017:2886

Source: XF
Type: UNKNOWN
oracle-cpujan2017-cve20173256(120888)

Source: GENTOO
Type: UNKNOWN
GLSA-201702-17

Vulnerable Configuration:Configuration 1:
  • cpe:/a:oracle:mysql:5.7.16:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.cisecurity:def:1833
    V
    Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Replication) – CVE-2017-3256
    2017-03-03
    oval:com.ubuntu.precise:def:20173256000
    V
    CVE-2017-3256 on Ubuntu 12.04 LTS (precise) - medium.
    2017-01-27
    oval:com.ubuntu.trusty:def:20173256000
    V
    CVE-2017-3256 on Ubuntu 14.04 LTS (trusty) - medium.
    2017-01-27
    oval:com.ubuntu.xenial:def:20173256000
    V
    CVE-2017-3256 on Ubuntu 16.04 LTS (xenial) - medium.
    2017-01-27
    BACK
    oracle mysql 5.7.16